## com.baidubce.services.media.model
Class GetWaterMarkRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.GetWaterMarkRequest

    public class GetWaterMarkRequest

extends AbstractBceRequest

Constructor Summary
`GetWaterMarkRequest()`

Method Summary
`String` `getWatermarkId()`
`void` `setWatermarkId(String watermarkId)`
`String` `toString()`
`AbstractBceRequest` `withRequestCredentials(BceCredentials credentials)`
`GetWaterMarkRequest` `withWatermarkId(String watermarkId)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetWaterMarkRequest

    public GetWaterMarkRequest()

Method Detail

### getWatermarkId

    public String getWatermarkId()

### setWatermarkId

    public void setWatermarkId(String watermarkId)

### withWatermarkId

    public GetWaterMarkRequest withWatermarkId(String watermarkId)

### withRequestCredentials

    public AbstractBceRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.